---

stages:
  - pre-commit
  - test

variables:
  ENVIRONMENT: "ionos-test"

include:
  - template: Jobs/SAST-IaC.gitlab-ci.yml
  - project: 'ccsolutions.io/open-source/templates/gitlab-ci-templates'
    ref: 'v2.0.0'
    file: 'OpenTofuPipelines/OpenTofuTest.yml'

pre-commit:standards:
  stage: pre-commit
  environment:
    name: ${ENVIRONMENT}
  extends: .tofu:pre-commit
